<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="it.integry.integrywmsnative.core.utility.UtilityString" />

        <import type="android.view.View" />

        <variable
            name="item"
            type="it.integry.integrywmsnative.ui.filter_chips.filters.FilterNumeroOrdineLayoutView.ListModel" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="?attr/selectableItemBackground"
        android:clickable="@{item.enabled}"
        android:onClick="@{() -> item.selected.toggle()}"
        android:orientation="horizontal"
        android:gravity="center_vertical"
        android:paddingHorizontal="8dp">


        <CheckBox
            android:id="@+id/checkbox"
            android:layout_width="wrap_content"
            android:layout_height="36dp"
            android:clickable="false"
            android:enabled="@{item.enabled}"
            app:checked="@{item.selected}" />


        <androidx.appcompat.widget.AppCompatTextView
            style="@style/TextAppearance.Material3.BodyMedium"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:clickable="false"
            android:enabled="@{item.enabled}"
            android:layout_gravity="center_vertical"
            android:text="@{item.originalModel.toString()}"
            tools:text="01" />


    </androidx.appcompat.widget.LinearLayoutCompat>

</layout>